commit 8aa3455b16fddea4c0144a7c4a1edb10ec67dcc8
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Feb 14 00:39:20 2020 +0000

    upstream: openssh-8.2
    
    OpenBSD-Commit-ID: 0a1340ff65fad0d84b997ac58dd1b393dec7c19b

commit 72f0ce33f0d5a37f31bad5800d1eb2fbdb732de6
Author: Damien Miller <djm@mindrot.org>
Date:   Wed Feb 12 09:28:35 2020 +1100

    crank version numbers

commit b763ed05bd1f1f15ae1727c86a4498546bc36ca8
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Tue Feb 11 12:51:24 2020 +1100

    Minor documentation update:
    
     - remove duplication of dependency information (it's all in INSTALL).
     - SSHFP is now an RFC.

commit 14ccfdb7248e33b1dc8bbac1425ace4598e094cb
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sun Feb 9 11:23:35 2020 +1100

    Check if UINT32_MAX is defined before redefining.

commit be075110c735a451fd9d79a864e01e2e0d9f19d2
Author: Damien Miller <djm@mindrot.org>
Date:   Fri Feb 7 15:07:27 2020 +1100

    typo; reported by Phil Pennock

commit 963d71851e727ffdd2a97fe0898fad61d4a70ba1
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Feb 7 03:57:31 2020 +0000

    upstream: sync the description of the $SSH_SK_PROVIDER environment
    
    variable with that of the SecurityKeyProvider ssh/sshd_config(5) directive,
    as the latter was more descriptive.
    
    OpenBSD-Commit-ID: 0488f09530524a7e53afca6b6e1780598022552f

commit d4d9e1d40514e2746f9e05335d646512ea1020c6
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri Feb 7 03:54:44 2020 +0000

    upstream: Add ssh -Q key-sig for all key and signature types.
    
    Teach ssh -Q to accept ssh_config(5) and sshd_config(5) algorithm keywords as
    an alias for the corresponding query.  Man page help jmc@, ok djm@.
    
    OpenBSD-Commit-ID: 1e110aee3db2fc4bc5bee2d893b7128fd622e0f8

commit fd68dc27864b099b552a6d9d507ca4b83afd6a76
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Feb 7 03:27:54 2020 +0000

    upstream: fix two PIN entry bugs on FIDO keygen: 1) it would allow more
    
    than the intended number of prompts (3) and 2) it would SEGV too many
    incorrect PINs were entered; based on patch by Gabriel Kihlman
    
    OpenBSD-Commit-ID: 9c0011f28ba8bd8adf2014424b64960333da1718

commit 96bd895a0a0b3a36f81c14db8c91513578fc5563
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Feb 6 22:48:23 2020 +0000

    upstream: When using HostkeyAlgorithms to merely append or remove
    
    algorithms from the default set (i.e. HostkeyAlgorithms=+/-...), retain the
    default behaviour of preferring those algorithms that have existing keys in
    known_hosts; ok markus
    
    OpenBSD-Commit-ID: 040e7fcc38ea00146b5d224ce31ce7a1795ee6ed

commit c7288486731734a864b58d024b1395029b55bbc5
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Feb 6 22:46:31 2020 +0000

    upstream: expand HostkeyAlgorithms prior to config dump, matching
    
    other algorithm lists; ok markus@
    
    OpenBSD-Commit-ID: a66f0fca8cc5ce30405a2867bc115fff600671d0

commit a6ac5d36efc072b15690c65039754f8e44247bdf
Author: naddy@openbsd.org <naddy@openbsd.org>
Date:   Thu Feb 6 22:34:58 2020 +0000

    upstream: Add Include to the list of permitted keywords after a
    
    Match keyword. ok markus@
    
    OpenBSD-Commit-ID: 342e940538b13dd41e0fa167dc9ab192b9f6e2eb

commit a47f6a6c0e06628eed0c2a08dc31a8923bcc37ba
Author: naddy@openbsd.org <naddy@openbsd.org>
Date:   Thu Feb 6 22:30:54 2020 +0000

    upstream: Replace "security key" with "authenticator" in program
    
    messages.
    
    This replaces "security key" in error/usage/verbose messages and
    distinguishes between "authenticator" and "authenticator-hosted key".
    
    ok djm@
    
    OpenBSD-Commit-ID: 7c63800e9c340c59440a054cde9790a78f18592e

commit 849a9b87144f8a5b1771de6c85e44bfeb86be9a9
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Thu Feb 6 11:28:14 2020 +1100

    Don't look for UINT32_MAX in inttypes.h
    
    ... unless we are actually going to use it.  Fixes build on HP-UX
    without the potential impact to other platforms of a header change
    shortly before release.

commit a2437f8ed0c3be54ddd21630a93c68ebd168286f
Author: Damien Miller <djm@mindrot.org>
Date:   Thu Feb 6 12:02:22 2020 +1100

    depend

commit 9716e8c4956acdd7b223d1642bfa376e07e7503d
Author: Michael Forney <mforney@mforney.org>
Date:   Wed Nov 27 19:17:26 2019 -0800

    Fix sha2 MAKE_CLONE no-op definition
    
    The point of the dummy declaration is so that MAKE_CLONE(...) can have
    a trailing semicolon without introducing an empty declaration. So,
    the macro replacement text should *not* have a trailing semicolon,
    just like DEF_WEAK.

commit d596b1d30dc158915a3979fa409d21ff2465b6ee
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Feb 4 09:58:04 2020 +0000

    upstream: require FIDO application strings to start with "ssh:"; ok
    
    markus@
    
    OpenBSD-Commit-ID: 94e9c1c066d42b76f035a3d58250a32b14000afb

commit 501f3582438cb2cb1cb92be0f17be490ae96fb23
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Mon Feb 3 23:47:57 2020 +0000

    upstream: revert enabling UpdateHostKeys by default - there are still
    
    corner cases we need to address; ok markus
    
    OpenBSD-Commit-ID: ff7ad941bfdc49fb1d8baa95fd0717a61adcad57

commit 072f3b832d2a4db8d9880effcb6c4d0dad676504
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Mon Feb 3 08:15:37 2020 +0000

    upstream: use better markup for challenge and write-attestation, and
    
    rejig the challenge text a little;
    
    ok djm
    
    OpenBSD-Commit-ID: 9f351e6da9edfdc907d5c3fdaf2e9ff3ab0a7a6f

commit 262eb05a22cb1fabc3bc1746c220566490b80229
Author: Damien Miller <djm@mindrot.org>
Date:   Mon Feb 3 21:22:15 2020 +1100

    mention libfido2 in dependencies section

commit ccd3b247d59d3bde16c3bef0ea888213fbd6da86
Author: Damien Miller <djm@mindrot.org>
Date:   Mon Feb 3 19:40:12 2020 +1100

    add clock_gettime64(2) to sandbox allowed syscalls
    
    bz3093

commit adffbe1c645ad2887ba0b6d24c194aa7a40c5735
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Sun Feb 2 09:45:34 2020 +0000

    upstream: Output (none) in debug in the case in the CheckHostIP=no case
    
    as suggested by markus@
    
    OpenBSD-Commit-ID: 4ab9117ee5261cbbd1868717fcc3142eea6385cf

commit 58c819096a2167983e55ae686486ce317b69b2d1
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Sun Feb 2 09:22:22 2020 +0000

    upstream: Prevent possible null pointer deref of ip_str in debug.
    
    OpenBSD-Commit-ID: 37b252e2e6f690efed6682437ef75734dbc8addf

commit 0facae7bc8d3f8f9d02d0f6bed3d163ff7f39806
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Sun Feb 2 07:36:50 2020 +0000

    upstream: shuffle the challenge keyword to keep the -O list sorted;
    
    OpenBSD-Commit-ID: 08efad608b790949a9a048d65578fae9ed5845fe

commit 6fb3dd0ccda1c26b06223b87bcd1cab9ec8ec3cc
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Sat Feb 1 06:53:12 2020 +0000

    upstream: tweak previous;
    
    OpenBSD-Commit-ID: 0c42851cdc88583402b4ab2b110a6348563626d3

commit 92725d4d3fde675acc0ca040b48f3d0c7be73b7f
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sat Feb 1 17:25:09 2020 +1100

    Use sys-queue.h from compat library.
    
    Fixes build on platforms that don't have sys/queue.h (eg MUSL).

commit 677d0ece67634262b3b96c3cd6410b19f3a603b7
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Jan 31 23:25:08 2020 +0000

    upstream: regress test for sshd_config Include directive; from Jakub
    
    Jelen
    
    OpenBSD-Regress-ID: 0d9224de3297c7a5f51ba68d6e3725a2a9345fa4

commit d4f4cdd681ab6408a98419f398b75a55497ed324
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Jan 31 23:13:04 2020 +0000

    upstream: whitespace
    
    OpenBSD-Commit-ID: 564cf7a5407ecf5da2d94ec15474e07427986772

commit 245399dfb3ecebc6abfc2ef4ee2e650fa9f6942b
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Jan 31 23:11:25 2020 +0000

    upstream: force early logging to stderr if debug_flag (-d) is set;
    
    avoids missing messages from re-exec config passing
    
    OpenBSD-Commit-ID: 02484b8241c1f49010e7a543a7098e6910a8c9ff

commit 7365f28a66d1c443723fbe6f4a2612ea6002901e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Jan 31 23:08:08 2020 +0000

    upstream: mistake in previous: filling the incorrect buffer
    
    OpenBSD-Commit-ID: 862ee84bd4b97b529f64aec5d800c3dcde952e3a

commit c2bd7f74b0e0f3a3ee9d19ac549e6ba89013abaf
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Jan 31 22:42:45 2020 +0000

    upstream: Add a sshd_config "Include" directive to allow inclusion
    
    of files. This has sensible semantics wrt Match blocks and accepts glob(3)
    patterns to specify the included files. Based on patch by Jakub Jelen in
    bz2468; feedback and ok markus@
    
    OpenBSD-Commit-ID: 36ed0e845b872e33f03355b936a4fff02d5794ff

commit ba261a1dd33266168ead4f8f40446dcece4d1600
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Fri Jan 31 22:25:59 2020 +0000

    upstream: spelling fix;
    
    OpenBSD-Commit-ID: 3c079523c4b161725a4b15dd06348186da912402

commit 771891a044f763be0711493eca14b6b0082e030f
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Jan 30 22:25:34 2020 +0000

    upstream: document changed default for UpdateHostKeys
    
    OpenBSD-Commit-ID: 25c390b21d142f78ac0106241d13441c4265fd2c

commit d53a518536c552672c00e8892e2aea28f664148c
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Jan 30 22:19:32 2020 +0000

    upstream: enable UpdateKnownHosts=yes if the configuration
    
    specifies only the default known_hosts files, otherwise select
    UpdateKnownHosts=ask; ok markus@
    
    OpenBSD-Commit-ID: ab401a5ec4a33d2e1a9449eae6202e4b6d427df7

commit bb63ff844e818d188da4fed3c016e0a4eecbbf25
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Thu Jan 30 18:54:42 2020 +1100

    Look in inttypes.h for UINT32_MAX.
    
    Should prevent warnings on at least some AIX versions.

commit afeb6a960da23f0a5cbc4b80cca107c7504e932a
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Jan 30 07:21:38 2020 +0000

    upstream: use sshpkt_fatal() instead of plain fatal() for
    
    ssh_packet_write_poll() failures here too as the former yields better error
    messages; ok dtucker@
    
    OpenBSD-Commit-ID: 1f7a6ca95bc2b716c2e948fc1370753be772d8e3

commit 65d6fd0a8a6f31c3ddf0c1192429a176575cf701
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Jan 30 07:20:57 2020 +0000

    upstream: check the return value of ssh_packet_write_poll() and
    
    call sshpkt_fatal() if it fails; avoid potential busy-loop under some
    circumstances. Based on patch by Mike Frysinger; ok dtucker@
    
    OpenBSD-Commit-ID: c79fe5cf4f0cd8074cb6db257c1394d5139408ec

commit dce74eab0c0f9010dc84c62500a17771d0131ff3
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Jan 30 07:20:05 2020 +0000

    upstream: have sshpkt_fatal() save/restore errno before we
    
    potentially call strerror() (via ssh_err()); ok dtucker
    
    OpenBSD-Commit-ID: 5590df31d21405498c848245b85c24acb84ad787

commit 14ef4efe2bf4180e085ea6738fdbebc199458b0c
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Jan 29 08:17:49 2020 +0000

    upstream: markus suggests a simplification to previous
    
    OpenBSD-Commit-ID: 10bbfb6607ebbb9a018dcd163f0964941adf58de

commit 101ebc3a8cfa78d2e615afffbef9861bbbabf1ff
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Wed Jan 29 07:51:30 2020 +0000

    upstream: give more context to UpdateHostKeys messages, mentioning
    
    that the changes are validated by the existing trusted host key. Prompted by
    espie@ feedback and ok markus@
    
    OpenBSD-Commit-ID: b3d95f4a45f2692f4143b9e77bb241184dbb8dc5

commit 24c0f752adf9021277a7b0a84931bb5fe48ea379
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jan 28 08:01:34 2020 +0000

    upstream: changes to support FIDO attestation
    
    Allow writing to disk the attestation certificate that is generated by
    the FIDO token at key enrollment time. These certificates may be used
    by an out-of-band workflow to prove that a particular key is held in
    trustworthy hardware.
    
    Allow passing in a challenge that will be sent to the card during
    key enrollment. These are needed to build an attestation workflow
    that resists replay attacks.
    
    ok markus@
    
    OpenBSD-Commit-ID: 457dc3c3d689ba39eed328f0817ed9b91a5f78f6

commit 156bef36f93a48212383235bb8e3d71eaf2b2777
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jan 28 07:24:15 2020 +0000

    upstream: disable UpdateHostKeys=ask when in quiet mode; "work for
    
    me" matthieu@
    
    OpenBSD-Commit-ID: 60d7b5eb91accf935ed9852650a826d86db2ddc7

commit ec8a759b4045e54d6b38e690ffee4cbffc53c7b7
Author: Damien Miller <djm@mindrot.org>
Date:   Tue Jan 28 12:57:25 2020 +1100

    compat for missing IPTOS_DSCP_LE in system headers

commit 4594c7627680c4f41c2ad5fe412e55b7cc79b10c
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Tue Jan 28 01:49:36 2020 +0000

    upstream: make IPTOS_DSCP_LE available via IPQoS directive; bz2986,
    
    based on patch by veegish AT cyberstorm.mu
    
    OpenBSD-Commit-ID: 9902bf4fbb4ea51de2193ac2b1d965bc5d99c425

commit da22216b5db3613325aa7b639f40dc017e4c6f69
Author: markus@openbsd.org <markus@openbsd.org>
Date:   Mon Jan 27 20:51:32 2020 +0000

    upstream: disable UpdateHostKeys=ask if command is specified; ok
    
    djm@ sthen@
    
    OpenBSD-Commit-ID: e5bcc45eadb78896637d4143d289f1e42c2ef5d7

commit 1e1db0544fdd788e2e3fc21d972a7ccb7de6b4ae
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun Jan 26 00:09:50 2020 +0000

    upstream: unbreak unittests for recent API / source file changes
    
    OpenBSD-Regress-ID: 075a899a01bbf7781d38bf0b33d8366faaf6d3c0

commit 0d1144769151edf65f74aee9a4c8545c37861695
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sun Jan 26 15:09:15 2020 +1100

    Move definition of UINT32_MAX.
    
    This allows us to always define it if needed not just if we also
    define the type ourself.

commit f73ab8a811bc874c2fb403012aa8e4bfdcaf5ec7
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun Jan 26 00:09:50 2020 +0000

    upstream: unbreak unittests for recent API / source file changes
    
    OpenBSD-Regress-ID: 075a899a01bbf7781d38bf0b33d8366faaf6d3c0

commit 0373f9eba2b63455dceedbd3ac3d5dca306789ff
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sun Jan 26 14:09:17 2020 +1100

    Include signal.h to prevent redefintion of _NSIG.

commit 638a45b5c1e20a8539100ca44166caad8abf26f8
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sun Jan 26 13:40:51 2020 +1100

    Wrap stdint.h in tests inside HAVE_STDINT_H.

commit 74dfc2c859c906eaab1f88a27fd883115ffb928f
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun Jan 26 00:14:45 2020 +0000

    upstream: for UpdateHostKeys, don't report errors for unsupported
    
    key types - just ignore them. spotted by and ok dtucker@
    
    OpenBSD-Commit-ID: 91769e443f6197c983932fc8ae9d39948727d473

commit b59618246c332e251160be0f1e0e88a7d4e2b0ae
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sun Jan 26 00:13:20 2020 +0000

    upstream: downgrade error() for missing subsequent known_hosts
    
    files to debug() as it was intended to be; spotted by dtucker@
    
    OpenBSD-Commit-ID: 18cfea382cb52f2da761be524e309cc3d5354ef9

commit 469df611f778eec5950d556aabfe1d4efc227915
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jan 25 23:33:27 2020 +0000

    upstream: clarify that BatchMode applies to all interactive prompts
    
    (e.g. host key confirmation) and not just password prompts.
    
    OpenBSD-Commit-ID: 97b001883d89d3fb1620d2e6b747c14a26aa9818

commit de40876c4a5d7c519d3d7253557572fdfc13db76
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jan 25 23:28:06 2020 +0000

    upstream: tidy headers; some junk snuck into sshbuf-misc.c and
    
    sshbuf-io.c doesn't need SSHBUF_INTERNAL set
    
    OpenBSD-Commit-ID: 27a724d2e0b2619c1a1490f44093bbd73580d9e6

commit 6a107606355fa9547884cad6740e6144a7a7955b
Author: Damien Miller <djm@mindrot.org>
Date:   Sun Jan 26 10:28:21 2020 +1100

    depend

commit 59d01f1d720ebede4da42882f592d1093dac7adc
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jan 25 23:13:09 2020 +0000

    upstream: improve the error message for u2f enrollment errors by
    
    making ssh-keygen be solely responsible for printing the error message and
    convertint some more common error responses from the middleware to a useful
    ssherr.h status code. more detail remains visible via -v of course.
    
    also remove indepedent copy of sk-api.h declarations in sk-usbhid.c
    and just include it.
    
    feedback & ok markus@
    
    OpenBSD-Commit-ID: a4a8ffa870d9a3e0cfd76544bcdeef5c9fb1f1bb

commit 99aa8035554ddb976348d2a9253ab3653019728d
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jan 25 23:02:13 2020 +0000

    upstream: factor out reading/writing sshbufs to dedicated
    
    functions; feedback and ok markus@
    
    OpenBSD-Commit-ID: dc09e5f1950b7acc91b8fdf8015347782d2ecd3d

commit 065064fcf455778b0918f783033b374d4ba37a92
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jan 25 22:49:38 2020 +0000

    upstream: add a comment describing the ranges of channel IDs that
    
    we use; requested by markus@
    
    OpenBSD-Commit-ID: 83a1f09810ffa3a96a55fbe32675b34ba739e56b

commit 69334996ae203c51c70bf01d414c918a44618f8e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jan 25 22:41:01 2020 +0000

    upstream: make sshd_config:ClientAliveCountMax=0 disable the
    
    connection killing behaviour, rather than killing the connection after
    sending the first liveness test probe (regardless of whether the client was
    responsive) bz2627; ok markus
    
    OpenBSD-Commit-ID: 5af79c35f4c9fa280643b6852f524bfcd9bccdaf

commit bf986a9e2792555e0879a3145fa18d2b49436c74
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jan 25 22:36:22 2020 +0000

    upstream: clarify order of AllowUsers/DenyUsers vs
    
    AllowGroups/DenyGroups; bz1690, ok markus@
    
    OpenBSD-Commit-ID: 5637584ec30db9cf64822460f41b3e42c8f9facd

commit 022ce92fa0daa9d78830baeb2bd2dc3f83c724ba
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jan 25 07:17:18 2020 +0000

    upstream: when AddKeysToAgent=yes is set and the key contains no
    
    comment, add the key to the agent with the key's path as the comment. bz2564
    
    OpenBSD-Commit-ID: 8dd8ca9340d7017631a27f4ed5358a4cfddec16f

commit 0b813436bbf6546638b10c1fa71f54691bcf5e63
Author: tedu@openbsd.org <tedu@openbsd.org>
Date:   Sat Jan 25 07:09:14 2020 +0000

    upstream: group14-sha1 is no longer a default algorithm
    
    OpenBSD-Commit-ID: a96f04d5e9c2ff760c6799579dc44f69b4ff431d

commit 3432b6e05d5c583c91c566c5708fed487cec79ac
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jan 25 07:02:51 2020 +0000

    upstream: reword HashKnownHosts description a little more; some
    
    people found the wording confusing (bz#2560)
    
    OpenBSD-Commit-ID: ac30896598694f07d498828690aecd424c496988

commit f80d7d6aa98d6eddc5df02412efee6db75673d4c
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jan 25 07:01:00 2020 +0000

    upstream: weaken the language for what HashKnownHosts provides with
    
    regards to known_hosts name privacy, it's not practical for this option to
    offer any guarantee that hostnames cannot be recovered from a disclosed
    known_hosts file (e.g. by brute force).
    
    OpenBSD-Commit-ID: 13f1e3285f8acf7244e9770074296bcf446c6972

commit 846446bf3e7421e6671a4afd074bdf15eecd7832
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jan 25 06:40:20 2020 +0000

    upstream: the GatewayPorts vs -R listen address selection logic is
    
    still confusing people, so add another comment explaining the special
    handling of "localhost"; bz#3258
    
    OpenBSD-Commit-ID: e6bf0f0fbf1c7092bf0dbd9c6eab105970b5b53a

commit 734f2f83f5ff86f2967a99d67be9ce22dd0394dd
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jan 25 06:03:10 2020 +0000

    upstream: mention that permitopen=/PermitOpen do no name to address
    
    translation; prompted by bz3099
    
    OpenBSD-Commit-ID: 0dda8e54d566b29855e76bebf9cfecce573f5c23

commit e1e97cae19ff07b7a7f7e82556bc048c3c54af63
Author: Damien Miller <djm@mindrot.org>
Date:   Sat Jan 25 16:30:22 2020 +1100

    include tunnel device path in error message

commit 0ecd20bc9f0b9c7c697c9eb014613516c8f65834
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jan 25 04:48:26 2020 +0000

    upstream: unrevert this:
    
    > revision 1.217
    > date: 2019/11/27 03:34:04;  author: dtucker;  state: Exp;  lines: +5 -7;  commitid: wkiMn49XJyjzoJIs;
    > Make channel_id u_int32_t and remove unnecessary check and cast that were
    > left over from the type conversion.  Noted by t-hashida@amiya.co.jp in
    > bz#3098, ok markus@ djm@
    
    Darren was right the first time; ok dtucker@ "agreed" markus@
    
    OpenBSD-Commit-ID: 641dd1b99a6bbd85b7160da462ae1be83432c7c8

commit a0c81d2402eedc514b9c9f25ef9604eb0576b86a
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Sat Jan 25 02:57:53 2020 +0000

    upstream: Move setting $NC into test-exec since it's now used by
    
    multiple tests, and in -portable we use our own local copy to avoid
    portability problems.
    
    OpenBSD-Regress-ID: ceb78445fcaac317bec2fc51b3f0d9589048c114

commit e16dfa94f86358033531c4a97dcb51508ef84d49
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Sat Jan 25 13:05:42 2020 +1100

    Put EC key export inside OPENSSL_HAS_ECC.
    
    Fixes link error when building against an OpenSSL that does not have
    ECC.

commit 94a2e5951b374e1a89761ceaff72e66eb1946807
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Sat Jan 25 00:27:56 2020 +0000

    upstream: Wait a bit longer for the multiplex master to become ready
    
    since on very slow hosts the current delay is not sufficient and the test
    will fail.
    
    OpenBSD-Regress-ID: 6d90c7475d67ac3a95610b64af700629ece51a48

commit b2df804f571d77b07059f087b90955ffbc2f67d4
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri Jan 24 10:08:17 2020 +0000

    upstream: Add a connection test for proxycommand. This would have
    
    caught the problem caused by ssh.c rev 1.507 wherein Host and Hostname were
    swapped.  Prompted by beck@
    
    OpenBSD-Regress-ID: d218500ae6aca4c479c27318fb5b09ebc00f7aae

commit c6f06fd38a257b9fcc7d6760f8fb6d505dccb628
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jan 25 00:22:31 2020 +0000

    upstream: set UpdateKnownHosts=ask by default; bz#2894; ok
    
    markus@
    
    OpenBSD-Commit-ID: f09cb3177f3a14c96428e14f347e976a8a531fee

commit 7955633a554397bc24913cec9fd7285002935f7e
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jan 25 00:21:08 2020 +0000

    upstream: allow UpdateKnownHosts=yes to function when multiple
    
    known_hosts files are in use. When updating host keys, ssh will now search
    subsequent known_hosts files, but will add new/changed host keys to the first
    specified file only. bz#2738
    
    ok markus@
    
    OpenBSD-Commit-ID: 6ded6d878a03e57d5aa20bab9c31f92e929dbc6c

commit e5a278a62ab49dffe96929fa8d8506c6928dba90
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jan 25 00:06:48 2020 +0000

    upstream: process security key provider via realpath() in agent,
    
    avoids malicious client from being able to cause agent to load arbitrary
    libraries into ssh-sk-helper.
    
    reported by puck AT puckipedia.com; ok markus
    
    OpenBSD-Commit-ID: 1086643df1b7eee4870825c687cf0c26a6145d1c

commit 89a8d4525e8edd9958ed3df60cf683551142eae0
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Sat Jan 25 00:03:36 2020 +0000

    upstream: expose PKCS#11 key labels/X.509 subjects as comments
    
    Extract the key label or X.509 subject string when PKCS#11 keys
    are retrieved from the token and plumb this through to places where
    it may be used as a comment.
    
    based on https://github.com/openssh/openssh-portable/pull/138
    by Danielle Church
    
    feedback and ok markus@
    
    OpenBSD-Commit-ID: cae1fda10d9e10971dea29520916e27cfec7ca35

commit a8c05c640873621681ab64d2e47a314592d5efa2
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Jan 24 23:56:01 2020 +0000

    upstream: tweak proctitle to include sshd arguments, as these are
    
    frequently used to distinguish between multiple independent instances of the
    server. New proctitle looks like this:
    
    $ pgrep -lf sshd
    12844 sshd: /usr/sbin/sshd -f /etc/ssh/sshd_config [listener] 0 of 10-100 startups
    
    requested by sthen@ and aja@; ok aja@
    
    OpenBSD-Commit-ID: cf235a561c655a3524a82003cf7244ecb48ccc1e

commit 8075fccbd4f70a4371acabcfb47562471ff0de6f
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Jan 24 23:54:40 2020 +0000

    upstream: add xextendf() to extend a string with a format
    
    (reallocating as necessary). ok aja@ as part of a larger diff
    
    OpenBSD-Commit-ID: 30796b50d330b3e0e201747fe40cdf9aa70a77f9

commit d15c8adf2c6f1a6b4845131074383eb9c3d05c3d
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Jan 24 05:33:01 2020 +0000

    upstream: minor tweaks to ssh-keygen -Y find-principals:
    
    emit matched principals one per line to stdout rather than as comma-
    separated and with a free-text preamble (easy confusion opportunity)
    
    emit "not found" error to stderr
    
    fix up argument testing for -Y operations and improve error message for
    unsupported operations
    
    OpenBSD-Commit-ID: 3d9c9a671ab07fc04a48f543edfa85eae77da69c

commit c3368a5d5ec368ef6bdf9971d6330ca0e3bdca06
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Jan 24 00:28:57 2020 +0000

    upstream: remove ssh-rsa (SHA1) from the list of allowed CA
    
    signature algorithms ok markus
    
    OpenBSD-Commit-ID: da3481fca8c81e6951f319a86b7be67502237f57

commit 4a41d245d6b13bd3882c8dc058dbd2e2b39a9f67
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Jan 24 00:27:04 2020 +0000

    upstream: when signing a certificate with an RSA key, default to
    
    a safe signature algorithm (rsa-sha-512) if not is explicitly specified by
    the user; ok markus@
    
    OpenBSD-Commit-ID: e05f638f0be6c0266e1d3d799716b461011e83a9

commit 8dfb6a202c96cdf037c8ce05e53e32e0e0b7b454
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Fri Jan 24 00:00:31 2020 +0000

    upstream: allow PEM export of DSA and ECDSA keys; bz3091, patch
    
    from Jakub Jelen ok markus@
    
    OpenBSD-Commit-ID: a58edec8b9f07acab4b962a71a5125830d321b51

commit 72a8bea2d748c8bd7f076a8b39a52082c79ae95f
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Jan 23 23:31:52 2020 +0000

    upstream: ssh-keygen -Y find-principals fixes based on feedback
    
    from Markus:
    
    use "principals" instead of principal, as allowed_signers lines may list
    multiple.
    
    When the signing key is a certificate, emit only principals that match
    the certificate principal list.
    
    NB. the command -Y name changes: "find-principal" => "find-principals"
    
    ok markus@
    
    OpenBSD-Commit-ID: ab575946ff9a55624cd4e811bfd338bf3b1d0faf

commit 0585b5697201f5d8b32e6f1b0fee7e188268d30d
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Fri Jan 24 01:29:23 2020 +0000

    upstream: Do not warn about permissions on symlinks.
    
    OpenBSD-Regress-ID: 339d4cbae224bd8743ffad9c3afb0cf3cb66c357

commit 415192348a5737a960f6d1b292a17b64d55b542c
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Thu Jan 23 11:19:12 2020 +0000

    upstream: Handle zlib compression being disabled now that it's
    
    optional.
    
    OpenBSD-Regress-ID: 0af4fbc5168e62f89d0350de524bff1cb00e707a

commit fbce7c1a898ae75286349822950682cf46346121
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Thu Jan 23 10:53:04 2020 +0000

    upstream: Fix typo in comment.
    
    OpenBSD-Commit-ID: d1d7a6553208bf439378fd1cf686a828aceb353a

commit ba247af8e9e302910e22881ef9d307a8afeef036
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Thu Jan 23 10:19:59 2020 +0000

    upstream: When checking for unsafe directories, ignore non-directories
    
    (ie symlinks, where permissions are not relevant).
    
    OpenBSD-Regress-ID: fb6cfc8b022becb62b2dcb99ed3f072b3326e501

commit 74deb7029be4c00810443114aac9308875a81dae
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Thu Jan 23 22:17:24 2020 +1100

    zlib is now optional.

commit 633a2af47ee90291aaf93969aeee1e5046074c7c
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Thu Jan 23 22:16:51 2020 +1100

    Plumb WITH_ZLIB into configure.
    
    This allows zlib support to be disabled by ./configure --without-zlib.

commit 7f8e66fea8c4e2a910df9067cb7638999b7764d5
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Thu Jan 23 10:24:29 2020 +0000

    upstream: Make zlib optional. This adds a "ZLIB" build time option
    
    that allows building without zlib compression and associated options.  With
    feedback from markus@, ok djm@
    
    OpenBSD-Commit-ID: 44c6e1133a90fd15a3aa865bdedc53bab28b7910

commit 69ac4e33023b379e9a8e9b4b6aeeffa6d1fcf6fa
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Jan 23 07:54:04 2020 +0000

    upstream: remove trailing period characters from pub/priv key
    
    pathnames - they make them needlessly more difficult to cut and paste without
    error; ok markus@ & dtucker@
    
    OpenBSD-Commit-ID: abdcfd1a5723fcac0711feee7665edc66ae2335a

commit 945bf52c3c815d95b1e842ebf6c910c3524bd5bb
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Thu Jan 23 21:06:45 2020 +1100

    Fix a couple of mysig_t leftovers.

commit 84226b447d45fe4542613de68c2ca59a890d7c01
Author: Darren Tucker <dtucker@dtucker.net>
Date:   Thu Jan 23 18:55:24 2020 +1100

    Remove mysignal wrapper.
    
    We switched the main code to use sigaction(), so the wrapper is no
    longer used.

commit 5533c2fb7ef21172fa3708d66b03faa2c6b3d93f
Author: jmc@openbsd.org <jmc@openbsd.org>
Date:   Thu Jan 23 07:16:38 2020 +0000

    upstream: new sentence, new line;
    
    OpenBSD-Commit-ID: b6c3f2f36ec77e99198619b38a9f146655281925

commit 3bf2a6ac791d64046a537335a0f1d5e43579c5ad
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Thu Jan 23 07:10:22 2020 +0000

    upstream: Replace all calls to signal(2) with a wrapper around
    
    sigaction(2). This wrapper blocks all other signals during the handler
    preventing races between handlers, and sets SA_RESTART which should reduce
    the potential for short read/write operations.
    
    OpenBSD-Commit-ID: 5e047663fd77a40d7b07bdabe68529df51fd2519

commit e027c044c796f3a01081a91bee55741204283f28
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Jan 23 04:54:34 2020 +0000

    upstream: missing header change from previous; spotted by dtucker@
    
    OpenBSD-Commit-ID: 321ce74c0a5bbd0f02fa3f20cb5cf2a952c6b96f

commit 7e1323102b1b04eef391b01e180710a2d408a7ab
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Thu Jan 23 03:42:41 2020 +0000

    upstream: Check for and warn about StrictModes permission problems. ok tb@
    
    OpenBSD-Regress-ID: 4841704ccdee50ee7efc6035bc686695c6ac2991

commit 84de1c27f845d15c859db44e7070a46f45504b66
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Thu Jan 23 03:35:07 2020 +0000

    upstream: Also test PuTTY chacha20.
    
    OpenBSD-Regress-ID: 7af6a0e8763b05f1f8eee6bca5f31fcb16151040

commit c7ed15a39695ecd5f1f21842d8d9cd22246d4ee2
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Thu Jan 23 03:24:38 2020 +0000

    upstream: Also test PuTTY ecdh kex methods.
    
    OpenBSD-Regress-ID: ec4017dce612131842398a03e93007a869c2c133

commit c4b3a128954ee1b7fbcbda167baf8aca1a3d1c84
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Thu Jan 23 02:46:49 2020 +0000

    upstream: Remove unsupported algorithms from list of defaults at run
    
    time and remove ifdef and distinct settings for OPENSSL=no case.
    
    This will make things much simpler for -portable where the exact set
    of algos depends on the configuration of both OpenSSH and the libcrypto
    it's linked against (if any).  ok djm@
    
    OpenBSD-Commit-ID: e0116d0183dcafc7a9c40ba5fe9127805c5dfdd2

commit 56cffcc09f8a2e661d2ba02e61364ae6f998b2b1
Author: djm@openbsd.org <djm@openbsd.org>
Date:   Thu Jan 23 02:43:48 2020 +0000

    upstream: add a new signature operations "find-principal" to look
    
    up the principal associated with a signature from an allowed-signers file.
    Work by Sebastian Kinne; ok dtucker@
    
    OpenBSD-Commit-ID: 6f782cc7e18e38fcfafa62af53246a1dcfe74e5d

commit 65cf8730de6876a56595eef296e07a86c52534a6
Author: dtucker@openbsd.org <dtucker@openbsd.org>
Date:   Wed Jan 22 07:38:30 2020 +0000
